<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('mony_exports', function (Blueprint $table) {
            $table
                ->bigInteger('land_id')
                ->unsigned()
                ->nullable()
                ->after('notes');
            $table
                ->foreign('land_id')
                ->references('id')
                ->on('lands')
                ->onDelete('cascade')
                ->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('mony_exports', function (Blueprint $table) {
            $table->dropColumn('land_id');
            $table->dropForeign('mony_exports_land_id_foreign');
        });
    }
};
